Subject: bug#21092: 25.0.50; Option `lazy-highlight-max-at-a-time' does not work

From: Juri Linkov <[email-masked]>
Date: Sat, 29 Aug 2015 00:14:30 +0300

> Am I missing something else?

Eli is right - lazy-highlight is designed to show matches
only on the screen.

> please at least correct the doc and the Customize UI, to make clear
> that the value (numeric or nil) has no effect beyond what is/has been
> shown on the screen - that it is not at all about highlighting "all matches".

A fix for the docstring of ‘lazy-highlight-max-at-a-time’ is to replace

  “A value of nil means highlight all matches.”

with

  “A value of nil means highlight all matches shown on the screen.”

> And given that Lisp code apparently _can_ highlight a whole, large
> buffer (AFAICT), if you have any tips on how I might make this work,
> myself, for Isearch lazy highlighting, please pass them along.

To highlight the whole buffer you can use ‘C-s the M-s h r’
(isearch-highlight-regexp).